# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(AutoLoader.pm) perl(Perlbal/HTTPHeaders.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%global libname Perlbal-XS-HTTPHeaders
#global _use_internal_dependency_generator 0

Name:           perl-%{libname}
Version:        0.20
Release:        alt2_10
Summary:        Perlbal extension for processing HTTP headers
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{libname}/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DO/DORMANDO/%{libname}-%{version}.tar.gz

BuildRequires:  perl(Perlbal.pm) perl(Test/More.pm) perl(ExtUtils/MakeMaker.pm)
Source44: import.info

%description
This module is used to read HTTP headers from a string and to parse them
into an internal storage format for easy access and modification. You can
also ask the module to reconstitute the headers into one big string, useful
if you're writing a proxy and need to read and write headers while
maintaining the ability to modify individual parts of the whole.

%prep
%setup -q -n %{libname}-%{version}
# Work around bug in EU::MM (RT#68613), remove forced CC options
sed -i -e "/CCFLAGS/d" Makefile.PL

# filter unwanted Provides
cat << \EOF > %{name}-prov
#!/bin/sh
%{__find_provides} $* |\
grep -v HTTPHeaders.so
EOF

#global __find_provides %{_builddir}/%{libname}-%{version}/%{name}-prov
#chmod +x %{__find_provides}


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/Perlbal/XS
%{perl_vendorarch}/Perlbal/XS

%changelog
* Fri Apr 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.20-alt2_10
- update from fc import

* Thu Dec 13 2012 Igor Vlasenko <viy@altlinux.ru> 0.20-alt2_9
- new fc rel

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.20-alt2_7
- rebuild with new perl

* Tue Jun 05 2012 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_7
- fc import

